import 'package:flutter/material.dart';
import 'package:slick/controls/form_input/slick_text_input.dart';

class SlickDateInput extends StatelessWidget {
  SlickDateInput({
    Key key,
    @required this.initialValue,
    @required this.labelText,
    @required this.onChanged,
  }) : super(key: key);

  final DateTime initialValue;
  final String labelText;
  final ValueChanged<DateTime> onChanged;

  @override
  Widget build(BuildContext context) {
    return SlickTextInput(
        initialValue: initialValue.toString(),
        onChanged: (val) {
          onChanged(DateTime.tryParse(val));
        });
  }
}
